%animated-circle-engagement-models {
	width: 200px;
	height: 200px;
	border-radius: 50%;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
	.dev-lab & {
		background-color: $circle-color-2;
	}
	.dev-team & {
		background-color: $circle-color-1;
	}
	.dev-project & {
		background-color: $circle-color-2;
	}
}
.circle-l,
.circle-s {
	@extend %animated-circle-engagement-models;
}
.circle-l {
	width: 300px;
	height: 300px;
}
.circle-s {
	width: 50px;
	height: 50px;
}

/* fadeInOut */

@-webkit-keyframes fadeInOut {
	from {
		opacity: 1;
	}
	to {
		opacity: 0;
	}
}
@keyframes fadeInOut {
	from {
		opacity: 1;
	}
	to {
		opacity: 0;
	}
}

/* shrinkGrow */

@-webkit-keyframes littleBigShrinkGrow {
	from {
		width: 50px;
		height: 50px;
	}
	to {
		width: 300px;
		height: 300px;
	}
}
@keyframes littleBigShrinkGrow {
	from {
		width: 50px;
		height: 50px;
	}
	to {
		width: 300px;
		height: 300px;
	}
}
@-webkit-keyframes bigLittleShrinkGrow {
	from {
		width: 300px;
		height: 300px;
	}
	to {
		width: 50px;
		height: 50px;
	}
}
@keyframes bigLittleShrinkGrow {
	from {
		width: 300px;
		height: 300px;
	}
	to {
		width: 50px;
		height: 50px;
	}
}

/* move */

@-webkit-keyframes move-1 {
	0% {
		left: 0;
		top: 0;
	}
	12% {
		left: 50%;
		top: 50%;
	}
	25% {
		left: 35%;
		top: 75%;
	}
	37% {
		left: 100%;
		top: 0;
	}
	50% {
		left: 75%;
		top: 50%;
	}
	62% {
		left: 10%;
		top: 100%;
	}
	75% {
		left: 50%;
		top: 100%;
	}
	87% {
		left: 25%;
		top: 75%;
	}
	100% {
		left: 0;
		top: 0;
	}
}
@keyframes move-1 {
	0% {
		left: 0;
		top: 0;
	}
	12% {
		left: 50%;
		top: 50%;
	}
	25% {
		left: 35%;
		top: 75%;
	}
	37% {
		left: 100%;
		top: 0;
	}
	50% {
		left: 75%;
		top: 50%;
	}
	62% {
		left: 10%;
		top: 100%;
	}
	75% {
		left: 50%;
		top: 100%;
	}
	87% {
		left: 25%;
		top: 75%;
	}
	100% {
		left: 0;
		top: 0;
	}
}
@-webkit-keyframes move-2 {
	0% {
		left: 100%;
		top: 100%;
	}
	12% {
		left: 25%;
		top: 75%;
	}
	25% {
		left: 50%;
		top: 100%;
	}
	37% {
		left: 0;
		top: 0;
	}
	50% {
		left: 75%;
		top: 50%;
	}
	62% {
		left: 10%;
		top: 0;
	}
	75% {
		left: 35%;
		top: 75%;
	}
	87% {
		left: 50%;
		top: 50%;
	}
	100% {
		left: 100%;
		top: 100%;
	}
}
@keyframes move-2 {
	0% {
		left: 100%;
		top: 100%;
	}
	12% {
		left: 25%;
		top: 75%;
	}
	25% {
		left: 50%;
		top: 100%;
	}
	37% {
		left: 0;
		top: 0;
	}
	50% {
		left: 75%;
		top: 50%;
	}
	62% {
		left: 10%;
		top: 0;
	}
	75% {
		left: 35%;
		top: 75%;
	}
	87% {
		left: 50%;
		top: 50%;
	}
	100% {
		left: 100%;
		top: 100%;
	}
}
@-webkit-keyframes move-3 {
	0% {
		left: 50%;
		top: 50%;
	}
	12% {
		left: 75%;
		top: 30%;
	}
	25% {
		left: 15%;
		top: 15%;
	}
	37% {
		left: 80%;
		top: 95%;
	}
	50% {
		left: 40%;
		top: 15%;
	}
	62% {
		left: 12%;
		top: 80%;
	}
	75% {
		left: 55%;
		top: 10%;
	}
	87% {
		left: 50%;
		top: 75%;
	}
	100% {
		left: 50%;
		top: 50%;
	}
}
@keyframes move-3 {
	0% {
		left: 50%;
		top: 50%;
	}
	12% {
		left: 75%;
		top: 30%;
	}
	25% {
		left: 15%;
		top: 15%;
	}
	37% {
		left: 80%;
		top: 95%;
	}
	50% {
		left: 40%;
		top: 15%;
	}
	62% {
		left: 12%;
		top: 80%;
	}
	75% {
		left: 55%;
		top: 10%;
	}
	87% {
		left: 50%;
		top: 75%;
	}
	100% {
		left: 50%;
		top: 50%;
	}
}
@-webkit-keyframes move-4 {
	0% {
		left: 45%;
		top: 10%;
	}
	12% {
		left: 10%;
		top: 50%;
	}
	25% {
		left: 35%;
		top: 40%;
	}
	37% {
		left: 100%;
		top: 0;
	}
	50% {
		left: 75%;
		top: 30%;
	}
	62% {
		left: 15%;
		top: 15%;
	}
	75% {
		left: 50%;
		top: 100%;
	}
	87% {
		left: 25%;
		top: 75%;
	}
	100% {
		left: 45%;
		top: 10%;
	}
}
@keyframes move-4 {
	0% {
		left: 45%;
		top: 10%;
	}
	12% {
		left: 10%;
		top: 50%;
	}
	25% {
		left: 35%;
		top: 40%;
	}
	37% {
		left: 100%;
		top: 0;
	}
	50% {
		left: 75%;
		top: 30%;
	}
	62% {
		left: 15%;
		top: 15%;
	}
	75% {
		left: 50%;
		top: 100%;
	}
	87% {
		left: 25%;
		top: 75%;
	}
	100% {
		left: 45%;
		top: 10%;
	}
}
@-webkit-keyframes move-5 {
	0% {
		left: 25%;
		top: 75%;
	}
	12% {
		left: 10%;
		top: 20%;
	}
	25% {
		left: 20%;
		top: 70%;
	}
	37% {
		left: 45%;
		top: 15%;
	}
	50% {
		left: 34%;
		top: 17%;
	}
	62% {
		left: 83%;
		top: 5%;
	}
	75% {
		left: 71%;
		top: 65%;
	}
	87% {
		left: 48%;
		top: 78%;
	}
	100% {
		left: 25%;
		top: 75%;
	}
}
@keyframes move-5 {
	0% {
		left: 25%;
		top: 75%;
	}
	12% {
		left: 10%;
		top: 20%;
	}
	25% {
		left: 20%;
		top: 70%;
	}
	37% {
		left: 45%;
		top: 15%;
	}
	50% {
		left: 34%;
		top: 17%;
	}
	62% {
		left: 83%;
		top: 5%;
	}
	75% {
		left: 71%;
		top: 65%;
	}
	87% {
		left: 48%;
		top: 78%;
	}
	100% {
		left: 25%;
		top: 75%;
	}
}
@-webkit-keyframes move-6 {
	0% {
		left: 13%;
		top: 30%;
	}
	12% {
		left: 70%;
		top: 80%;
	}
	25% {
		left: 16%;
		top: 20%;
	}
	37% {
		left: 31%;
		top: 24%;
	}
	50% {
		left: 47%;
		top: 15%;
	}
	62% {
		left: 90%;
		top: 37%;
	}
	75% {
		left: 2%;
		top: 90%;
	}
	87% {
		left: 15%;
		top: 75%;
	}
	100% {
		left: 13%;
		top: 30%;
	}
}
@keyframes move-6 {
	0% {
		left: 13%;
		top: 30%;
	}
	12% {
		left: 70%;
		top: 80%;
	}
	25% {
		left: 16%;
		top: 20%;
	}
	37% {
		left: 31%;
		top: 24%;
	}
	50% {
		left: 47%;
		top: 15%;
	}
	62% {
		left: 90%;
		top: 37%;
	}
	75% {
		left: 2%;
		top: 90%;
	}
	87% {
		left: 15%;
		top: 75%;
	}
	100% {
		left: 13%;
		top: 30%;
	}
}
.circle-s.move-1 {
	.dev-lab & {
		-webkit-animation: fadeInOut 15s infinite, move-1 50s infinite, littleBigShrinkGrow 30s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 15s infinite, move-1 50s infinite, littleBigShrinkGrow 30s linear infinite alternate, 12s 6s linear infinite;
	}
	.dev-team & {
		-webkit-animation: fadeInOut 35s infinite, move-1 80s infinite, littleBigShrinkGrow 25s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 35s infinite, move-1 80s infinite, littleBigShrinkGrow 25s linear infinite alternate, 20s 4s linear infinite;
	}
	.dev-project & {
		-webkit-animation: fadeInOut 45s infinite, move-1 60s infinite, littleBigShrinkGrow 15s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 45s infinite, move-1 60s infinite, littleBigShrinkGrow 15s linear infinite alternate, 10s 20s linear infinite;
	}
}
.circle-s.move-2 {
	.dev-lab & {
		-webkit-animation: move-2 40s infinite, littleBigShrinkGrow 10s linear infinite alternate, 16s 10s linear infinite;
		animation: move-2 40s infinite, littleBigShrinkGrow 10s linear infinite alternate, 16s 10s linear infinite;
	}
	.dev-team & {
		-webkit-animation: move-2 70s infinite, littleBigShrinkGrow 15s linear infinite alternate, 6s 2s linear infinite;
		animation: move-2 70s infinite, littleBigShrinkGrow 15s linear infinite alternate, 14s 28s linear infinite;
	}
	.dev-project & {
		-webkit-animation: move-2 90s infinite, littleBigShrinkGrow 35s linear infinite alternate, 30s 20s linear infinite;
		animation: move-2 90s infinite, littleBigShrinkGrow 35s linear infinite alternate, 30s 20s linear infinite;
	}
}
.circle-s.move-3 {
	.dev-lab & {
		-webkit-animation: fadeInOut 20s infinite, move-3 20s infinite, littleBigShrinkGrow 20s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 20s infinite, move-3 20s infinite, littleBigShrinkGrow 20s linear infinite alternate, 60s 30s linear infinite;
	}
	.dev-team & {
		-webkit-animation: fadeInOut 40s infinite, move-3 50s infinite, littleBigShrinkGrow 55s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 40s infinite, move-3 50s infinite, littleBigShrinkGrow 55s linear infinite alternate, 30s 60s linear infinite;
	}
	.dev-project & {
		-webkit-animation: fadeInOut 10s infinite, move-3 90s infinite, littleBigShrinkGrow 35s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 10s infinite, move-3 90s infinite, littleBigShrinkGrow 35s linear infinite alternate, 41s 15s linear infinite;
	}
}
.circle-l.move-4 {
	.dev-lab & {
		-webkit-animation: move-4 40s infinite, bigLittleShrinkGrow 30s linear infinite alternate, 6s 2s linear infinite;
		animation: move-4 40s infinite, bigLittleShrinkGrow 30s linear infinite alternate, 48s 10s linear infinite;
	}
	.dev-team & {
		-webkit-animation: move-4 80s infinite, bigLittleShrinkGrow 45s linear infinite alternate, 6s 2s linear infinite;
		animation: move-4 80s infinite, bigLittleShrinkGrow 45s linear infinite alternate, 10s 12s linear infinite;
	}
	.dev-project & {
		-webkit-animation: move-4 1300s infinite, bigLittleShrinkGrow 75s linear infinite alternate, 6s 2s linear infinite;
		animation: move-4 130s infinite, bigLittleShrinkGrow 75s linear infinite alternate, 49s 30s linear infinite;
	}
}
.circle-l.move-5 {
	.dev-lab & {
		-webkit-animation: fadeInOut 25s infinite, move-5 470s infinite, bigLittleShrinkGrow 30s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 25s infinite, move-5 47s infinite, bigLittleShrinkGrow 30s linear infinite alternate, 48s 70s linear infinite;
	}
	.dev-team & {
		-webkit-animation: fadeInOut 35s infinite, move-5 62s infinite, bigLittleShrinkGrow 85s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 35s infinite, move-5 62s infinite, bigLittleShrinkGrow 85s linear infinite alternate, 30s 50s linear infinite;
	}
	.dev-project & {
		-webkit-animation: fadeInOut 55s infinite, move-5 40s infinite, bigLittleShrinkGrow 25s linear infinite alternate, 6s 2s linear infinite;
		animation: fadeInOut 55s infinite, move-5 40s infinite, bigLittleShrinkGrow 25s linear infinite alternate, 24s 11s linear infinite;
	}
}
.circle-l.move-6 {
	.dev-lab & {
		-webkit-animation: move-6 55s infinite, bigLittleShrinkGrow 50s linear infinite alternate, 6s 2s linear infinite;
		animation: move-6 55s infinite, bigLittleShrinkGrow 50s linear infinite alternate, 73s 13s linear infinite;
	}
	.dev-team & {
		-webkit-animation: move-6 120s infinite, bigLittleShrinkGrow 45s linear infinite alternate, 6s 2s linear infinite;
		animation: move-6 120s infinite, bigLittleShrinkGrow 45s linear infinite alternate, 15s 80s linear infinite;
	}
	.dev-project & {
		-webkit-animation: move-6 45s infinite, bigLittleShrinkGrow 35s linear infinite alternate, 6s 2s linear infinite;
		animation: move-6 45s infinite, bigLittleShrinkGrow 35s linear infinite alternate, 14s 10s linear infinite;
	}
}
